    001/* ===========================================================
    002 * JFreeChart : a free chart library for the Java(tm) platform
    003 * ===========================================================
    004 *
    005 * (C) Copyright 2000-2011, by Object Refinery Limited and Contributors.
    006 *
    007 * Project Info:  http://www.jfree.org/jfreechart/index.html
    008 *
    009 * This library is free software; you can redistribute it and/or modify it
    010 * under the terms of the GNU Lesser General Public License as published by
    011 * the Free Software Foundation; either version 2.1 of the License, or
    012 * (at your option) any later version.
    013 *
    014 * This library is distributed in the hope that it will be useful, but
    015 * WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY
    016 * or FITNESS FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public
    017 * License for more details.
    018 *
    019 * You should have received a copy of the GNU Lesser General Public
    020 * License along with this library; if not, write to the Free Software
    021 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301,
    022 * USA.
    023 *
    024 * [Oracle and Java are registered trademarks of Oracle and/or its affiliates.
    025 * Other names may be trademarks of their respective owners.]
    026 *
    027 * ------------------------
    028 * XYZToolTipGenerator.java
    029 * ------------------------
    030 * (C) Copyright 2003-2008, by Object Refinery Limited.
    031 *
    032 * Original Author:  David Gilbert (for Object Refinery Limited);
    033 * Contributor(s):   -;
    034 *
    035 * Changes
    036 * -------
    037 * 03-Feb-2003 : Version 1 (DG);
    038 * 25-Feb-2004 : Renamed XYZToolTipGenerator --> XYZItemLabelGenerator (DG);
    039 * 11-May-2004 : Reverted to XYZToolTipGenerator (DG);
    040 *
    041 */
    042
    043package org.jfree.chart.labels;
    044
    045import org.jfree.data.xy.XYZDataset;
    046
    047/**
    048 * Interface for a tooltip generator for plots that use data from an
    049 * {@link XYZDataset}.
    050 */
    051public interface XYZToolTipGenerator extends XYToolTipGenerator {
    052
    053    /**
    054     * Generates a tool tip text item for a particular item within a series.
    055     *
    056     * @param dataset  the dataset (<code>null</code> not permitted).
    057     * @param series  the series index (zero-based).
    058     * @param item  the item index (zero-based).
    059     *
    060     * @return The tooltip text (possibly <code>null</code>).
    061     */
    062    public String generateToolTip(XYZDataset dataset, int series, int item);
    063
    064}